Bug 500972 (CVE-2009-0949) - CVE-2009-0949 cups: IPP_TAG_UNSUPPORTED handling NULL pointer dereference DoS
Summary: CVE-2009-0949 cups: IPP_TAG_UNSUPPORTED handling NULL pointer dereference DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0949
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20090513,pu...
Depends On: 498016 498017 498023 501976 501977
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-15 09:22 UTC by Tomas Hoger
Modified: 2019-06-08 12:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 06:56:02 UTC


Attachments (Terms of Use)
Probable patch (870 bytes, patch)
2009-05-15 09:27 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1082 normal SHIPPED_LIVE Important: cups security update 2009-06-03 15:42:49 UTC
Red Hat Product Errata RHSA-2009:1083 normal SHIPPED_LIVE Important: cups security update 2009-06-03 15:50:54 UTC

Description Tomas Hoger 2009-05-15 09:22:24 UTC
Anibal Sacco from Core Security Technologies discovered a NULL pointer dereference flaw in CUPS daemon when handling the IPP_TAG_UNSUPPORTED, which allows remote attackers with access to CUPS' IPP port to crash cupsd.

Acknowledgements:

Red Hat would like to thank Anibal Sacco from Core Security Technologies
for reporting this issue.

Comment 3 Tomas Hoger 2009-05-15 09:27:56 UTC
Created attachment 344106 [details]
Probable patch

Extracted from upstream SVN, first appears in 1.3.10.

svn diff -c 8409 http://svn.easysw.com/public/cups/branches/branch-1.3/

Comment 7 Tomas Hoger 2009-06-03 06:26:32 UTC
Public now via Core Security Technologies advisory:
  http://www.coresecurity.com/content/AppleCUPS-null-pointer-vulnerability

Comment 8 errata-xmlrpc 2009-06-03 15:43:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1082 https://rhn.redhat.com/errata/RHSA-2009-1082.html

Comment 9 errata-xmlrpc 2009-06-03 15:54:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1083 https://rhn.redhat.com/errata/RHSA-2009-1083.html


Note You need to log in before you can comment on or make changes to this bug.